编译时发现没有.h文件

为当前最终发行版之前的所有版本提供支持
回复
sjg44
帖子: 5
注册时间: 2007-04-30 21:46
送出感谢: 0
接收感谢: 0

编译时发现没有.h文件

#1

帖子 sjg44 » 2007-05-10 14:39

我是一个新手,在用gcc编译时发现没有.h文件。在用fine 找了后还是没有,我该怎么去装.h文件啊。
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#2

帖子 stlxv » 2007-05-10 15:06

具体?
PHP是最好的语言!不服来战!
sjg44
帖子: 5
注册时间: 2007-04-30 21:46
送出感谢: 0
接收感谢: 0

#3

帖子 sjg44 » 2007-05-13 16:28

我在文件中没发现linux/stdio.h,但我用的程序中要有include<linux/stdio.h>.我是用ubuntu6.01
头像
xport
帖子: 1277
注册时间: 2006-05-19 21:23
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 xport » 2007-05-13 16:31

少了header文件就安装好了!

代码: 全选

sudo apt-get install "linux-headers-`uname -r`"
sudo apt-get install "build-essential"
其实我是一个演员!-http://blog.csdn.net/xport/
头像
xport
帖子: 1277
注册时间: 2006-05-19 21:23
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 xport » 2007-05-13 16:33

sjg44 写了:我在文件中没发现linux/stdio.h,但我用的程序中要有include<linux/stdio.h>.我是用ubuntu6.01
没有安装 libc6-dev 的缘故!安装 build-essential 会包含 libc6-dev !

不过你的写法也有问题吧? stdio.h 属于标准lib header呢,应该是 #include <stdio.h> 吧!
其实我是一个演员!-http://blog.csdn.net/xport/
sjg44
帖子: 5
注册时间: 2007-04-30 21:46
送出感谢: 0
接收感谢: 0

#6

帖子 sjg44 » 2007-05-14 18:48

代码:

sudo apt-get install "linux-headers-`uname -r`"
sudo apt-get install "build-essential"



root@ubuntu:~# sudo apt-get install "linux-headers-`uname -r`"
正在读取软件包列表... 有错误!
E: Problem parsing dependency Depends
E: 处理 stardict-wikipedia-zhwiki-2.4.2 (NewVersion1)时出错
E: Problem with MergeList /var/lib/apt/lists/mirror.lupaworld.com_ubuntu_ubuntu-cn_dists_edgy_main_binary-i386_Packages
E: 无法解析或打开软件包的列表或是状态文件。
root@ubuntu:~# sudo apt-get install "build-essential"
正在读取软件包列表... 有错误!
E: Problem parsing dependency Depends
E: 处理 stardict-wikipedia-zhwiki-2.4.2 (NewVersion1)时出错
E: Problem with MergeList /var/lib/apt/lists/mirror.lupaworld.com_ubuntu_ubuntu-cn_dists_edgy_main_binary-i386_Packages
E: 无法解析或打开软件包的列表或是状态文件
头像
左转左转左转左
帖子: 554
注册时间: 2007-04-21 19:14
来自: 废都
送出感谢: 0
接收感谢: 0

#7

帖子 左转左转左转左 » 2007-05-14 19:19

直接安装build-essential大部分的库都有

include的写法就是

#include<stdio.h>

测试了应该没有问题
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#8

帖子 stlxv » 2007-05-14 19:35

程序有问题,你别用了

stdio在/usr/include/stdio.h
PHP是最好的语言!不服来战!
sjg44
帖子: 5
注册时间: 2007-04-30 21:46
送出感谢: 0
接收感谢: 0

#9

帖子 sjg44 » 2007-05-15 11:57

文件没问题是我弄错了
但在/usr/include/stdio.h里没有stdio只有gdict-1.0,gpilotd,libgpilotdCM,python2.4,python2.5,x11,auto-
sprintf.h和gettext-po.h
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#10

帖子 stlxv » 2007-05-15 12:00

sjg44 写了:文件没问题是我弄错了
但在/usr/include/stdio.h里没有stdio只有gdict-1.0,gpilotd,libgpilotdCM,python2.4,python2.5,x11,auto-
sprintf.h和gettext-po.h
汗,我意思是stdio.h就是/usr/include/stdio.h
PHP是最好的语言!不服来战!
sjg44
帖子: 5
注册时间: 2007-04-30 21:46
送出感谢: 0
接收感谢: 0

#11

帖子 sjg44 » 2007-05-15 13:52

晕,我又打错字了
我是说在在/usr/include/没有stdio只有gdict-1.0,gpilotd,libgpilotdCM,python2.4,python2.5,x11,auto-
sprintf.h和gettext-po.h
回复

回到 “老旧版本支持”